import request from '@/utils/request'

// 查询轮播管理信息列表
export function listCarouselManagement(query) {
  return request({
    method: 'get',
    params: {
      _gp: 'admin.cloud.carouselManagement',
      _mt: 'list',
      ...query
    }
  })
}

// 查询轮播管理信息详细
export function getCarouselManagement(id) {
  return request({
    method: 'get',
    params: {
      _gp: 'admin.cloud.carouselManagement',
      _mt: 'get',
      id: id
    }
  })
}

// 新增轮播管理信息
export function addCarouselManagement(data) {
  return request({
    method: 'post',
    params: {
      _gp: 'admin.cloud.carouselManagement',
      _mt: 'add',
      carouselManagement: data
    }
  })
}

// 修改轮播管理信息
export function updateCarouselManagement(data) {
  return request({
    method: 'post',
    params: {
      _gp: 'admin.cloud.carouselManagement',
      _mt: 'update',
      carouselManagement: data
    }
  })
}

// 删除轮播管理信息
export function delCarouselManagement(id) {
  return request({
    method: 'post',
    params: {
      _gp: 'admin.cloud.carouselManagement',
      _mt: 'delete',
      id: id
    }
  })
}

// 导出轮播管理信息
export function exportCarouselManagement(query) {
  return request({
    method: 'get',
    params: {
      _gp: 'admin.cloud.carouselManagement',
      _mt: 'export',
      ...query
    }
  })
}
